
class A:
        def __init__(self, b):
            """storing of the decoratee b (b is an instance of class B)"""
            self.b = b

        def __getattr__(self, name):
            """
               methods/attributes A does not know about are delegated
               to b 
            """
            return getattr(self.b, name)

class B:

    def f(self):
       return "result of f"

b = B()
a = A(b)
print a.f()
